<?php
/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'          => 'd3watermark',
    'title'       => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') //
        . ' Wasserzeichen / watermark',
    'description' => array(
        'de' => 'Versieht Ihre Artikelbilder automatisch mit einem individuellen Wasserzeichen. ' //
            . 'So sind Ihre Bilder individuell und lassen sich nicht einfach kopieren.',
        'en' => ''
    ),
    'thumbnail'   => 'picture.png',
    'version'     => '2.0.2.1',
    'author'      => 'D&sup3; Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'http://www.oxidmodule.com/',
    'extend'      => array(
        'oxarticle' => 'd3/d3watermark/modules/models/d3_oxarticle_watermark',
    ),
    'files'       => array(
        'd3watermark_update'          => 'd3/d3watermark/setup/d3watermark_update.php',
        'd3watermark'                 => 'd3/d3watermark/models/d3watermark.php',
        'd3_cfg_watermark'            => 'd3/d3watermark/controllers/admin/d3_cfg_watermark.php',
        'd3_cfg_watermark_list'       => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_list.php',
        'd3_cfg_watermark_main'       => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_main.php',
        'd3_cfg_watermark_imagetypes' => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_imagetypes.php',
        'd3_cfg_watermark_licence'    => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_licence.php',
    ),
    'templates'   => array(
        'd3_cfg_watermark_main.tpl'       => 'd3/d3watermark/views/admin/tpl/d3_cfg_watermark_main.tpl',
        'd3_cfg_watermark_imagetypes.tpl' => 'd3/d3watermark/views/admin/tpl/d3_cfg_watermark_imagetypes.tpl',
    ),
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'blocks'      => array(),
);